import { HmacSha1 } from '../hmac/hmac-sha1.js';
import { pbkdf2core } from './pbkdf2-core.js';
export function Pbkdf2HmacSha1(password, salt, count, length) {
    const hmac = new HmacSha1(password);
    return pbkdf2core(hmac, salt, length, count);
}
