import { HmacSha512 } from '../hmac/hmac-sha512.js';
import { pbkdf2core } from './pbkdf2-core.js';
export function Pbkdf2HmacSha512(password, salt, count, length) {
    const hmac = new HmacSha512(password);
    return pbkdf2core(hmac, salt, length, count);
}
